lsusb(8)

NAZWA
lsusb - wypisuje urządzenia USB

SKŁADNIA
lsusb [ opcje ]

OPIS
lsusb jest narzędziem do wyświetlania informacji o systemowych szynach USB i podłączonych do nich urządzeniach. Używa bazy danych sprzętu udev do powiązania pełnej nazwy czytelnej dla użytkownika z identyfikatorami dostawcy i produktu.

OPCJE

-v, --verbose
    Powoduje, że program wypisuje szczegółowe informacje o pokazywanych urządzeniach. Są to m.in. opisy konfiguracji do aktualnej szybkości urządzenia. W przypadku urządzeń USB takich jak koncentratory, urządzeń: audio, peryferyjnych, komunikacyjnych i kart elektronicznych, zostaną pokazane również opisy klas, o ile będą dostępne. Może być łączona z opcją -t.

-s [[szyna]:][numer-urządzenia]
    Pokazuje jedynie urządzenia z określonej szyny lub o podanym numerze-urządzenia. Oba identyfikatory są liczbami dziesiętnymi i można je pominąć.

-d [dostawca]:[produkt]
    Pokazuje jedynie urządzenia o określonym identyfikatorze dostawcy i produktu. Obie wartości są liczbami szesnastkowymi.

-D urządzenie
    Nie przeszukuje katalogu /dev/bus/usb, lecz wyświetla informacje o urządzeniu jedynie z podanego pliku urządzenia. Plik urządzenia powinien być czymś w rodzaju /dev/bus/usb/001/001. Ta opcja wyświetla szczegółowe informacje, podobnie jak -v i z tego powodu wymaga uprawnień administracyjnych.

-t, --tree
    Nakazuje programowi lsusb zrzucić fizyczną hierarchię urządzenia USB jako drzewo. Można dodać opcję -v do dwóch razy, aby zwiększyć ilość informacji.

-V, --version
    Wypisuje informacje o wersji na standardowe wyjście i kończy się z powodzeniem.

WARTOŚĆ ZWRACANA
Jeśli nie odnaleziono podanego urządzenia, zwracana jest wartość niezerowa.

ZOBACZ TAKŻE
lspci(8), usbview(8).

AUTOR
Thomas Sailer, <sailer@ife.ee.ethz.ch>.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.